<?php

class Mascot_Core_Immigro_Modify_Widgets {
	private static $instance;
	public $sections = array();

	public function __construct() {
		add_action( 'elementor/element/tm-ele-section-title/general/after_section_end', array( $this, 'tm_elementor_column_options' ), 10, 2 );
	}

	public static function get_instance() {
		if ( self::$instance === null ) {
			return new self();
		}

		return self::$instance;
	}

	public function tm_elementor_column_options( $element ){


		$element->start_controls_section(
			'line_styling',
			[
				'label' => esc_html__( 'Line BG Gradient Color', 'mascot-core-immigro' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$element->add_control(
			'show_bottom_line', [
				'label' => esc_html__( "Show/Hide Bottom Line", 'mascot-core-immigro' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'default' => 'yes',
				'selectors' => [
					'selector' => '{{WRAPPER}} .title:before',
				]
			]
		);
		$element->add_group_control(
			\Elementor\Group_Control_Background::get_type(),
			[
				'name' => 'line_background_left',
				'types' => [ 'classic', 'gradient' ],
				'selector' => '{{WRAPPER}} .title:before',
			]
		);
		$element->end_controls_section();
	}
}

if ( ! function_exists( 'mascot_core_immigro_init_modify_widgets_handler' ) ) {
	function mascot_core_immigro_init_modify_widgets_handler() {
		Mascot_Core_Immigro_Modify_Widgets::get_instance();
	}

	add_action( 'init', 'mascot_core_immigro_init_modify_widgets_handler', 1 );
}